### Method

# Clutter Actor set_size

#### Declaration [src]

    void
    clutter_actor_set_size (
      ClutterActor* self,
      gfloat width,
      gfloat height
    )

#### Description [src]

Sets the actor’s size request in pixels. This overrides any “normal” size request the actor would have. For example a text actor might normally request the size of the text; this function would force a specific size instead.

If `width` and/or `height` are -1 the actor will use its “normal” size request instead of overriding it, i.e. you can “unset” the size with -1.

This function sets or unsets both the minimum and natural size.

Sets property | `Clutter.Actor:size`

#### Parameters

`width`

  Type: `gfloat`

  New width of actor in pixels, or -1.

`height`

  Type: `gfloat`

  New height of actor in pixels, or -1.